---------------------
DROP TABLE IMRD_F.EN_MRD0107 CASCADE CONSTRAINTS;

--criando a tabela com a PK ID
CREATE TABLE IMRD_F.EN_MRD0107
(
    KEYWRD_GRP_CD_2034            VARCHAR2(2048 BYTE),
    KEYWRD_MOD_ST_2033            VARCHAR2(2048 BYTE),
    MODE_CD_4735                  VARCHAR2(2048 BYTE),
    MRC_3445                      VARCHAR2(2048 BYTE),
    MRC_TBL_CT_0848               VARCHAR2(2048 BYTE),
    MRC_USG_DESI_0847             VARCHAR2(2048 BYTE),
    MRD_STATUS_CD_0816            VARCHAR2(2048 BYTE),
    PRT_SKLTN_CD_0368             VARCHAR2(2048 BYTE),
    RQMT_RPY_INST_2648            VARCHAR2(2048 BYTE),
    RQMT_STMT_3614                VARCHAR2(2048 BYTE),
    RQMT_STMT_DEF_5027            VARCHAR2(2048 BYTE),
    TAM_RESP_COD_TAB_0365_E_8254  VARCHAR2(2048 BYTE),
    ID                            NUMBER(19),
    PRIMARY KEY(ID)
)
TABLESPACE IMRD_FTBL
RESULT_CACHE (MODE DEFAULT)
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
            FLASH_CACHE      DEFAULT
            CELL_FLASH_CACHE DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;

--criando os sinonimos publicos
CREATE OR REPLACE PUBLIC SYNONYM EN_MRD0107 FOR IMRD_F.EN_MRD0107;
--dropando a sequence
DROP SEQUENCE IMRD_F.SQ_EN_TABL0107;
--criando a sequence
CREATE SEQUENCE IMRD_F.SQ_EN_TABL0107
  START WITH 1
  MAXVALUE 9999999999999999999999999999
  MINVALUE 0
  NOCYCLE
  NOCACHE
  NOORDER;
  
--criando indices
CREATE UNIQUE INDEX IDX_EN_MRD0107_INC ON IMRD_F.EN_MRD0107(MRC_3445) TABLESPACE IMRD_FTBL;  
